<div>
  <h2 id="page-heading" data-cy="AvancementClasseHeading">
    <span jhiTranslate="gestionPersonnel3App.avancementClasse.home.title">AvancementClasses</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="gestionPersonnel3App.avancementClasse.home.refreshListLabel">Actualiser la liste</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-avancement-classe"
        [routerLink]="['/avancement-classe/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="gestionPersonnel3App.avancementClasse.home.createLabel"> Créer un nouveau Avancement Classe </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="avancementClasses?.length === 0">
    <span jhiTranslate="gestionPersonnel3App.avancementClasse.home.notFound">Aucun Avancement Classe trouvé</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="avancementClasses && avancementClasses.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="global.field.id">ID</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="dateAvancement">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.avancementClasse.dateAvancement">Date Avancement</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="classe.id">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.avancementClasse.classe">Classe</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="employe.id">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.avancementClasse.employe">Employe</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let avancementClasse of avancementClasses; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/avancement-classe', avancementClasse.id, 'view']">{{ avancementClasse.id }}</a>
          </td>
          <td>{{ avancementClasse.dateAvancement | formatMediumDate }}</td>
          <td>
            <div *ngIf="avancementClasse.classe">
              <a [routerLink]="['/classe', avancementClasse.classe.id, 'view']">{{ avancementClasse.classe.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="avancementClasse.employe">
              <a [routerLink]="['/employe', avancementClasse.employe.id, 'view']">{{ avancementClasse.employe.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/avancement-classe', avancementClasse.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Voir</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/avancement-classe', avancementClasse.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editer</span>
              </button>

              <button type="submit" (click)="delete(avancementClasse)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Supprimer</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
